最新のXcodeを削除して古いXcodeを入れたらlibMainThreadChecker.dylibのエラーで起動できなくて困った

Xcodeを複数バージョンインストールしたくなったので、インストール場所を変更するために一度最新版のXcodeをアンインストールして、Xcode10.1をダウンロードしてきてインストールした。

そしたら、libMainThreadChecker.dylibのエラーで起動できなくなった。

[広告]

どうやら、古いバージョンのXcodeについてくるlibMainThreadChecker.dylibは新しいOSでは動かないらしい。

ということで、Xcodeの13.1をダウンロードして、その中に入っているlibMainThreadChecker.dylibをXcode10.1のものと入れ替えたら見事に起動することができた。(念のために入れ替える時は古いものは名前を変えて残しておいた。)

タイトルとURLをコピーしました